RDKit::FilterMatcherBase Class Referenceabstract

`#include <FilterMatcherBase.h>`

Inheritance diagram for RDKit::FilterMatcherBase:

## Public Member Functions

| FilterMatcherBase (const std::string &name=DEFAULT_FILTERMATCHERBASE_NAME)
| FilterMatcherBase (const FilterMatcherBase &rhs)
virtual | ~FilterMatcherBase ()
virtual bool | isValid () const =0
virtual std::string | getName () const
virtual bool | getMatches (const ROMol &mol, std::vector< FilterMatch > &matchVect) const =0
| getMatches More...
virtual bool | hasMatch (const ROMol &mol) const =0
| hasMatches More...
virtual boost::shared_ptr< FilterMatcherBase > | Clone () const =0
| Clone. More...

## Detailed Description

Definition at line 69 of file FilterMatcherBase.h.

## Constructor & Destructor Documentation

## FilterMatcherBase() [1/2]

RDKit::FilterMatcherBase::FilterMatcherBase | ( | const std::string & | name = `DEFAULT_FILTERMATCHERBASE_NAME` | ) |

inline

Definition at line 76 of file FilterMatcherBase.h.

## FilterMatcherBase() [2/2]

RDKit::FilterMatcherBase::FilterMatcherBase | ( | const FilterMatcherBase & | rhs | ) |

inline

Definition at line 80 of file FilterMatcherBase.h.

## ~FilterMatcherBase()

virtual RDKit::FilterMatcherBase::~FilterMatcherBase | ( |  | ) |

inline virtual

Definition at line 84 of file FilterMatcherBase.h.

## Member Function Documentation

## Clone()

virtual boost::shared_ptr<FilterMatcherBase> RDKit::FilterMatcherBase::Clone | ( |  | ) | const

pure virtual

Clone.

Implemented in RDKit::ExclusionList, RDKit::SmartsMatcher, RDKit::FilterMatchOps::Not, RDKit::FilterMatchOps::Or, and RDKit::FilterMatchOps::And.

Referenced by RDKit::ExclusionList::addPattern().

## getMatches()

virtual bool RDKit::FilterMatcherBase::getMatches | ( | const ROMol & | mol,
|  | std::vector< FilterMatch > & | matchVect
| ) |  | const

pure virtual

getMatches

Match the filter against a molecule

Parameters

  mol | readonly const molecule being searched
  matches | output vector of atom index matches found in the molecule

Implemented in RDKit::ExclusionList, RDKit::SmartsMatcher, RDKit::FilterMatchOps::Not, RDKit::FilterMatchOps::Or, and RDKit::FilterMatchOps::And.

## getName()

virtual std::string RDKit::FilterMatcherBase::getName | ( |  | ) | const

inline virtual

Reimplemented in RDKit::ExclusionList, RDKit::FilterMatchOps::Not, RDKit::FilterMatchOps::Or, and RDKit::FilterMatchOps::And.

Definition at line 88 of file FilterMatcherBase.h.

References RDUNUSED_PARAM.

Referenced by RDKit::FilterMatchOps::And::getName(), RDKit::FilterMatchOps::Or::getName(), RDKit::FilterMatchOps::Not::getName(), and RDKit::ExclusionList::getName().

## hasMatch()

virtual bool RDKit::FilterMatcherBase::hasMatch | ( | const ROMol & | mol | ) | const

pure virtual

hasMatches

Does the given molecule contain this filter pattern

Parameters

  mol | readonly const molecule being searched

Implemented in RDKit::ExclusionList, RDKit::SmartsMatcher, RDKit::FilterMatchOps::Not, RDKit::FilterMatchOps::Or, and RDKit::FilterMatchOps::And.

## isValid()

virtual bool RDKit::FilterMatcherBase::isValid | ( |  | ) | const

pure virtual

Implemented in RDKit::ExclusionList, RDKit::SmartsMatcher, RDKit::FilterMatchOps::Not, RDKit::FilterMatchOps::Or, and RDKit::FilterMatchOps::And.

Referenced by RDKit::ExclusionList::addPattern().

The documentation for this class was generated from the following file:

- FilterMatcherBase.h